#' Create CSV feature reference file for cellranger count
#' Project: AZIMUT
#' Author: Nicolas Vallet

#' Require
library(tidyverse)

#' Set working dir
setwd("~/tmp")

## create the table

ref = tribble(
    ~id     ,   ~name         , ~sequence,
    #'------|-----------------|--------------------|
    "CD3"   , "CD3_TotalSeqB"  , "CTCATTGTAACTCCT",
    "CD45RA","CD45RA_TotalSeqB", "TCAATCCTTCCGCTT",
    "CCR4"  , "CCR4_TotalSeqB" , "AGCTTACCTGCACGA",
    "CD4"   , "CD4_TotalSeqB"  , "TGTTCCCGCTCAACT",
    "CD8"   , "CD8_TotalSeqB"  , "GCTGCGCTTTCCATT",
    "CD25"  , "CD25_TotalSeqB" , "TTTGTCCTGTACGCC",
    "PD-1"   , "PD1_TotalSeqB" , "ACAGCGCCGTATTTA",
    "CXCR3" ,"CXCR3_TotalSeqB" , "GCGATGGTAGATTAT",
    "CCR6"  , "CCR6_TotalSeqB" , "GATCCCTTTGTCACT",
    "CXCR5" ,"CXCR5_TotalSeqB" , "AATTCAACCGTCGCC",
    "CCR7"  , "CCR7_TotalSeqB" , "AGTTCAGTCAACCGA",
    "CD161" , "CD161_TotalSeqB", "GTACGCAGTCCTTCT",
    "CTLA-4","CTLA4_TotalSeqB" , "ATGGTTCACGTAATC",
    "CD95"  ," CD95_TotalSeqB" , "CCAGCTCATTAGAGC",
    "HLA-DR","HLA-DR_TotalSeqB", "AATAGCGAGCAAGTA",
    "ICOS"  ,"ICOS_TotalSeqB"  , "CGCGCACCCATTAAA",
    "CD39"  , "CD39_TotalSeqB" , "TTACCTGGTATCCGT",
    "CD27"  , "CD27_TotalSeqB" , "CAAGGTATGTCACTG",
    "KLRG1" ,"KLRG1_TotalSeqB" , "GTAGTAGGCTAGACC",
    "CD28"  , "CD28_TotalSeqB" , "TGAGAACGACCCTAA",
    "CD38"  , "CD38_TotalSeqB" , "TGTACCCGCTTGTGA",
    "CD127" , "CD127_TotalSeqB", "GTGTGTTGTCCTATG",
    "CD73"  , "CD73_TotalSeqB" , "CAGTTCCTCAGTTCG",
    "TCRVa72","TCRVa72_TotalSeqB","TACGAGCAGTATTCA",
    ) %>%
    add_column(read = "R2", pattern = "5PNNNNNNNNNN(BC)") %>%
    relocate(read, .after = name) %>%
    relocate(pattern, .after = read)%>%
    add_column(feature_type = "Antibody Capture")

## write the file in csv
write_csv(ref, file = "feature_ref.csv")
