#' Create CSV library file for cellranger count
#' Project: AZIMUT
#' Author: Nicolas Vallet

#' Require
library(tidyverse)

#' Set working dir
setwd("~/tmp/")

#' Define to sample to proceed
sample_to_proceed = c("18A", "18D", "18N",
                      "30A", "30D", "30N",
                      "23A", "23D", "23N",
                      "36A", "36D", "36N",
                      "37A", "37D", "37N",
                      "38A", "38D", "38N",
                      "35A", "35D", "35N",
                      "40A", "40D", "40N",
                      "32A", "32D", "32N",
                      "39A", "39D", "39N")

#' create the the corresponding csv file
for( i in sample_to_proceed) {
 
    ## get the file name
    path_to_save = paste0("library_",i,".csv")

    ## create the table
    sample_feature = paste0(i, "-Prot")
    sample_gene    = paste0(i, "-Gene_exp")
    filenames = list.files("fastq/")[grep(i, list.files("fastq/"), fixed = TRUE)]
    lib = tibble(
        fastqs = "/home/nivall/yard/run_cellranger_count/azimutfastq/",
        sample = c(sample_feature, sample_gene),
        library_type = c("Antibody Capture", "Gene Expression")
    )

    ## write the file in csv
    write_csv(lib, file = path_to_save)
}

