#' Draw ridgeplots of ADT 
#' Project: AZIMUT
#' Author: Nicolas Vallet

#' Require
library(Seurat)
library(ggplot2)
library(RColorBrewer)
library(tidyverse)

#' Defining path
path_to_rds  = "~/scrna_files"
path_to_save = "~/tmp/"

#' Read RDS file with clustered cells
setwd(path_to_rds)
prolif = readRDS( "prolif_adtclust_cyclecell.RData" )

#' get ADT names
adt = prolif[["Protein"]]@counts %>% row.names()

#' draw ridge plots
Idents(prolif) = prolif@meta.data$seurat_clusters

for(i in adt){
    message("Printing ", i)
    ouput_name = paste(sep = "", path_to_save, "ridge_", i, ".pdf")
    pdf(ouput_name, width = 8.5, height = 11)
    print(RidgePlot(object = prolif, features = i))
    dev.off()
}
